FROM python:3.9-alpine3.13

RUN apk add --no-cache curl gcc musl-dev ffmpeg
ENV POETRY_VERSION 1.1.6

RUN curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | python -

ENV PATH="${PATH}:/root/.local/bin:/root/.poetry/bin"
RUN source "/root/.poetry/env"

# Installing requirements
RUN poetry config virtualenvs.create false

COPY . /app/
WORKDIR /app/

RUN poetry install
